package com.bonus.core.autth.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MgrUserAuthPO {
   @ApiModelProperty("角色类型")
   private Integer roleType;
   @ApiModelProperty("角色编码")
   private String roleCode;
   @ApiModelProperty("用户id")
   private Long userId;
   @ApiModelProperty("用户名称")
   private String userName;

   public Integer getRoleType() {
      return this.roleType;
   }

   public String getRoleCode() {
      return this.roleCode;
   }

   public Long getUserId() {
      return this.userId;
   }

   public String getUserName() {
      return this.userName;
   }

   public void setRoleType(final Integer roleType) {
      this.roleType = roleType;
   }

   public void setRoleCode(final String roleCode) {
      this.roleCode = roleCode;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setUserName(final String userName) {
      this.userName = userName;
   }


}
